/**
 * Certificate-related events emitted by certificate management components
 */
export enum CertificateEvents {
  CERTIFICATE_ISSUED = 'certificate-issued',
  CERTIFICATE_RENEWED = 'certificate-renewed',
  CERTIFICATE_FAILED = 'certificate-failed',
  CERTIFICATE_EXPIRING = 'certificate-expiring',
  CERTIFICATE_APPLIED = 'certificate-applied',
  // Events moved from Port80Handler for compatibility
  MANAGER_STARTED = 'manager-started',
  MANAGER_STOPPED = 'manager-stopped',
}

/**
 * Port80Handler-specific events including certificate-related ones
 * @deprecated Use CertificateEvents and HttpEvents instead
 */
export enum Port80HandlerEvents {
  CERTIFICATE_ISSUED = 'certificate-issued',
  CERTIFICATE_RENEWED = 'certificate-renewed',
  CERTIFICATE_FAILED = 'certificate-failed',
  CERTIFICATE_EXPIRING = 'certificate-expiring',
  MANAGER_STARTED = 'manager-started',
  MANAGER_STOPPED = 'manager-stopped',
  REQUEST_FORWARDED = 'request-forwarded',
}

/**
 * Certificate provider events
 */
export enum CertProvisionerEvents {
  CERTIFICATE_ISSUED = 'certificate',
  CERTIFICATE_RENEWED = 'certificate',
  CERTIFICATE_FAILED = 'certificate-failed'
}